package com.interpress_project.modernshare.orb;

import com.interpress_project.modernshare.orb.generated.MdsServerInfo;

@SuppressWarnings("serial")
public class MdsServerInfoImpl extends MdsServerInfo {
	/**
	 * MdsServerInfoImpl
	 */
	public MdsServerInfoImpl() {
	}

	/**
	 * MdsServerInfoImpl
	 * @param svnhost
	 * @param svnport
	 * @param adminName
	 * @param adminEmail
	 * @param licType
	 */
//	public MdsServerInfoImpl(String svnhost, int svnport, String adminName, String adminEmail, String licType) {
	public MdsServerInfoImpl(String svnhost, int svnport, String adminName, String adminEmail) {
		this.svnhost = svnhost;
		this.svnport = svnport;
		this.administratorname = adminName;
		this.administratoremail = adminEmail;
//		this.licType = licType;
	}

	/**
	 * getPort
	 */
	@Override
	public int getSVNPort() {
		return this.svnport;
	}

	/**
	 * getHost
	 */
	@Override
	public String getSVNHost() {
		return this.svnhost;
	}

//	/**
//	 * getLicType
//	 */
//	@Override
//	public String getLicType() {
//		return licType;
//	}

	/**
	 * getAdministratorEmail
	 */
	@Override
	public String getAdministratorEmail() {
		return this.administratoremail;
	}

	/**
	 * getAdministratorName
	 */
	@Override
	public String getAdministratorName() {
		return this.administratorname;
	}
}
